<?php
include("encabezado.php");
include("conexion.php"); // Incluir el archivo de conexión a la base de datos

?>
<main>
    <div class="container">
        <h2>Ver Gastos</h2>
        <table>
            <thead>
                <tr>
                    <th>Actividad</th>
                    <th>Valor</th>
                    <th>Fecha</th>
                    <th>Lugar</th>
                    <th>Kilometraje</th>
                    <th>Observaciones</th>
                    <th>Placa Vehículo</th>
                    <th>Fecha Registro</th>
                    <th>Acciones</th>
                </tr>
            </thead>
        <tbody>

        <?php

        // Consulta para obtener todos los gastos registrados
        $sql = "SELECT g.*, a.Nombre_Actividad, v.Placa_Vehiculo
                FROM gastos g
                JOIN actividades a ON g.Tipo_Actividad = a.Nro_Actividad
                JOIN vehiculos v ON g.Id_Vehiculo = v.Id_Vehiculo
                ORDER BY g.Nro_Registro ASC";
        $result = $conn->query($sql);

        // Verificar si hay registros de gastos
        if ($result->num_rows > 0) {

            // Mostrar los registros de gastos
            while ($row = $result->fetch_assoc()) {
                echo "<tr>";
                echo "<td>" . $row['Nombre_Actividad'] . "</td>";
                echo "<td>" . number_format($row['Valor_Actividad'], 2) . "</td>";  // Formatear el valor
                echo "<td>" . date("d-m-Y", strtotime($row['Fecha_Actividad'])) . "</td>"; // Mostrar la fecha en formato dd-mm-YYYY
                echo "<td>" . $row['Lugar_Actividad'] . "</td>";
                echo "<td>" . $row['Kilometraje_Actividad'] . "</td>";
                echo "<td>" . $row['Observaciones'] . "</td>";
                echo "<td>" . $row['Placa_Vehiculo'] . "</td>";
                echo "<td>" . date("d-m-Y H:i:s", strtotime($row['Fecha_Registro'])) . "</td>";
                echo '<td class="p-1">
                        <a href="mod_gasto.php?id=' . $row['Nro_Registro'] . '" class="btn btn-sm d-block btn-warning mb-2"><i class="fa-solid fa-pen"></i> Editar</a> 
                        <a href="eli_gasto.php?id=' . $row['Nro_Registro'] . '" class="btn btn-sm d-block btn-danger"><i class="fa-solid fa-trash"></i> Eliminar</a>
                    </td>';
                echo "</tr>";
            }

            echo "</tbody>";
            echo "</table>";
        } else {
            echo "<p>No se encontraron registros de gastos.</p>";
        }

        // Cerrar la conexión
        $conn->close();
        ?>
        </div>
</main>
<?php include("pie.php"); ?>


