<?php
include("encabezado.php");  // Incluir el encabezado de tu sitio web (si tienes uno)
include("conexion.php");    // Conexión a la base de datos
?>

<main>
    <div class="container">
        <h2>Listado de vehículos</h2>
        <table>
            <thead>
                <tr>
                    <th>Id Vehiculo</th>
                    <th>Placa</th>
                    <th>Tipo</th>
                    <th>Marca</th>
                    <th>Color</th>
                    <th>Modelo</th>
                    <th>Kilometraje</th>
                    <th>Cilindraje</th>
                    <th>Foto</th>
                    <th>Fecha SOAT</th>
                    <th>Fecha Tecnomecánica</th>
                    <th>Fecha Registro</th>
                    <th style="min-width: 140px;">Acciones</th>
                </tr>
            </thead>
            <tbody>
    


        <?php
        // Consulta para obtener todos los registros de vehículos
        $sql = "SELECT * FROM vehiculos";
        $result = mysqli_query($conn, $sql);

        // Verificar si hay resultados
        if (mysqli_num_rows($result) > 0) {

            // Mostrar cada registro en una fila de la tabla
            while ($row = mysqli_fetch_assoc($result)) {
                echo "<tr>";
                echo "<td>" . $row['Id_Vehiculo'] . "</td>";
                echo "<td>" . $row['Placa_Vehiculo'] . "</td>";
                echo "<td>" . $row['Tipo_Vehiculo'] . "</td>";
                echo "<td>" . $row['Marca_Vehiculo'] . "</td>";
                echo "<td>" . $row['Color_Vehiculo'] . "</td>";
                echo "<td>" . $row['Modelo_Vehiculo'] . "</td>";
                echo "<td>" . $row['Kilometraje'] . "</td>";
                echo "<td>" . $row['Cilindraje'] . "</td>";
                
                // Mostrar la foto si existe
                if (!empty($row['Fotos'])) {
                    echo "<td><img src='imagenes/" . $row['Fotos'] . "' alt='Foto'></td>";
                } else {
                    echo "<td class='no-foto'>No disponible</td>";
                }
                
                echo "<td>" . $row['Fecha_SOAT'] . "</td>";
                echo "<td>" . $row['Fecha_Tecnomecanica'] . "</td>";
                echo "<td>" . $row['Fecha_Registro'] . "</td>";
                echo '<td class="p-2">
                        <a href="mod_vehiculo.php?id=' . $row['Id_Vehiculo'] . '" class="btn btn-sm d-block btn-warning mb-2"><i class="fa-solid fa-pen"></i> Editar</a> 
                        <a href="eli_vehiculo.php?id=' . $row['Id_Vehiculo'] . '" class="btn btn-sm d-block btn-danger"><i class="fa-solid fa-trash"></i> Eliminar</a>
                    </td>';
                echo "</tr>";
            }

            echo "</tbody>";
            echo "</table>";
        } else {
            echo "<p>No se encontraron vehículos registrados.</p>";
        }

        // Cerrar la conexión
        mysqli_close($conn);
        ?>
    </div>
</main>
<?php include("pie.php");  // Incluir el pie de página de tu sitio web ?>
